#include <iostream>
using namespace std;
int main(){
    int A,B,C,r;
    cin >> A >> B >> C;
    if(C<10){
    if(A>=B and B>=C) r=A*100+B*10+C;
    else if(A>=B and A<=C) r=C*100+A*10+B;
    else if(A<=B and A>=C) r=B*100+A*10+C;
    else if(A>=C and C>=B) r=A*100+C*10+B;
    else if(A<=B and C>=B) r=C*100+B*10+A;
    else if(A<=C and C<=B) r=B*100+C*10+A;
    }
    if(C>=10){
    int o=C/10;
    if(A>=B and B>=o) r=A*100+B*10+C;
    else if(A>=B and A<=o) r=C*100+A*10+B;
    else if(A<=B and A>=o) r=B*100+A*10+C;
    else if(A>=o and o>=B) r=A*100+C*10+B;
    else if(A<=B and o>=B) r=C*100+B*10+A;
    else if(A<=o and o<=B) r=B*100+C*10+A;
    }
    cout << r << endl;
return 0;
}